r"""
Welcom to the Sustainable Transportation Planner for Python. This package is
inspired by `stplanr`_, a package for sustainable transport planning with R [1]_ and
can be used to analyze American community survey (ACS) origin-destination (OD)
data. This `data`_ is provided by the American Association of State Highway and
Transportation Officials (AASHTO) through their Census Transportation Planning
Products Program (CTPP).

The source code of this package can be found on `github`_ and an example of how
to use the various functions in this package can be found in a Jupyter
`Notebook`_.

References
----------
.. [1] Robin Lovelace, Anna Goodman, Rachel Aldred, et al., "The Propensity
    to Cycle Tool: An open source online system for sustainable transport
    planning", Journal of transport and land use, vol 10, no 1, pp 505-528,
    2017, url:`https://www.jstor.org/stable/26211742`_

.. _data: https://ctpp.transportation.org/2012-2016-5-year-ctpp/
.. _stplanr: https://docs.ropensci.org/stplanr/
.. _github: https://github.com/pctBayArea/stplanpy 
.. _Notebook: https://pctbayarea.github.io/stplanpy-book/
.. _https://www.jstor.org/stable/26211742: https://www.jstor.org/stable/26211742
"""
